Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Interface PDFEncryption

All Known Implementing Classes:
  PDFEncryptionJCE

public interface PDFEncryption

This interface defines the contract for classes implementing PDF encryption.

Method Summary
`void` | `applyFilter(AbstractPDFStream stream)` Adds a PDFFilter to the PDFStream object
`byte[]` | `encrypt(byte[] data, PDFObject refObj)` Encrypt an array of bytes using a reference PDFObject for calculating the encryption key.
`PDFEncryptionParams` | `getParams()` Returns the encryption parameters.
`java.lang.String` | `getTrailerEntry()` Returns the trailer entry for encryption.
`void` | `setParams(PDFEncryptionParams params)` Sets the encryption parameters.

Method Detail

### getParams

    public PDFEncryptionParams getParams()

  Returns the encryption parameters.

  Returns:
    the encryption parameters

### setParams

    public void setParams(PDFEncryptionParams params)

  Sets the encryption parameters.

  Parameters:
    `params` - The parameterss to set

### applyFilter

    public void applyFilter(AbstractPDFStream stream)

  Adds a PDFFilter to the PDFStream object

  Parameters:
    `stream` - the stream to add an encryption filter to

### encrypt

    public byte[] encrypt(byte[] data,
                          PDFObject refObj)

  Encrypt an array of bytes using a reference PDFObject for calculating the encryption key.

  Parameters:
    `data` - data to encrypt
    `refObj` - reference PDFObject
  Returns:
    byte[] the encrypted data

### getTrailerEntry

    public java.lang.String getTrailerEntry()

  Returns the trailer entry for encryption.

  Returns:
    the trailer entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.